MINIDUMP_MISC_INFO Struct Reference

Information about the process that the minidump file contains a snapshot of, as well as the system that hosted that process. More...

`#include "dbghelp.h"`

Inheritance diagram for MINIDUMP_MISC_INFO:

## Public Attributes

uint32_t | SizeOfInfo
| The size of the structure. More...
uint32_t | Flags1
| A bit field of MINIDUMP_MISC* values indicating which fields of this structure contain valid data.
uint32_t | ProcessId
| The process ID of the process.
uint32_t | ProcessCreateTime
| The time that the process started, in `time_t` units, seconds since the POSIX epoch.
uint32_t | ProcessUserTime
| The amount of user-mode CPU time used by the process, in seconds, at the time of the snapshot.
uint32_t | ProcessKernelTime
| The amount of system-mode (kernel) CPU time used by the process, in seconds, at the time of the snapshot.

## Detailed Description

Information about the process that the minidump file contains a snapshot of, as well as the system that hosted that process.

See also
  MINIDUMP_MISC*
  MINIDUMP_MISC_INFO_2
  MINIDUMP_MISC_INFO_3
  MINIDUMP_MISC_INFO_4
  MINIDUMP_MISC_INFO_5
  MINIDUMP_MISC_INFO_N

## Member Data Documentation

## SizeOfInfo

uint32_t MINIDUMP_MISC_INFO::SizeOfInfo

The size of the structure.

This field can be used to distinguish between different versions of this structure: MINIDUMP_MISC_INFO, MINIDUMP_MISC_INFO_2, MINIDUMP_MISC_INFO_3, and MINIDUMP_MISC_INFO_4.

See also
  Flags1

The documentation for this struct was generated from the following file:

- compat/non_win/dbghelp.h